WiredTiger: com.wiredtiger.db.wiredtigerJNI Class Reference

| Version 3.1.0

Fork me on GitHub Join my user group
List of all members | Static Public Member Functions
com.wiredtiger.db.wiredtigerJNI Class Reference

## Static Public Member Functions
static final native long | new_WT_MODIFY_LIST (int jarg1)
static final native void | delete_WT_MODIFY_LIST (long jarg1)
static final native void | WT_MODIFY_LIST_set (long jarg1, WT_MODIFY_LIST jarg1_, int jarg2, long jarg3, Modify jarg3_)
static final native void | Modify_offset_set (long jarg1, Modify jarg1_, long jarg2) throws com.wiredtiger.db.WiredTigerException
static final native long | Modify_offset_get (long jarg1, Modify jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native long | new_Modify__SWIG_0 ()
static final native long | new_Modify__SWIG_1 (byte[] jarg1, long jarg2, long jarg3)
static final native void | delete_Modify (long jarg1)
static final native long | Cursor_session_get (long jarg1, Cursor jarg1_)
static final native String | Cursor_uri_get (long jarg1, Cursor jarg1_)
static final native String | Cursor_key_format_get (long jarg1, Cursor jarg1_)
static final native String | Cursor_value_format_get (long jarg1, Cursor jarg1_)
static final native int | Cursor_next_wrap (long jarg1, Cursor jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native int | Cursor_prev_wrap (long jarg1, Cursor jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native int | Cursor_reserve (long jarg1, Cursor jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native int | Cursor_close (long jarg1, Cursor jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native int | Cursor_reconfigure (long jarg1, Cursor jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native byte [] | Cursor_get_key_wrap (long jarg1, Cursor jarg1_)
static final native byte [] | Cursor_get_value_wrap (long jarg1, Cursor jarg1_)
static final native int | Cursor_insert_wrap (long jarg1, Cursor jarg1_, byte[] jarg2, byte[] jarg3)
static final native int | Cursor_remove_wrap (long jarg1, Cursor jarg1_, byte[] jarg2)
static final native int | Cursor_reset_wrap (long jarg1, Cursor jarg1_)
static final native int | Cursor_search_wrap (long jarg1, Cursor jarg1_, byte[] jarg2)
static final native int | Cursor_search_near_wrap (long jarg1, Cursor jarg1_, byte[] jarg3)
static final native int | Cursor_update_wrap (long jarg1, Cursor jarg1_, byte[] jarg2, byte[] jarg3)
static final native int | Cursor_compare_wrap (long jarg1, Cursor jarg1_, long jarg3, Cursor jarg3_)
static final native int | Cursor_equals_wrap (long jarg1, Cursor jarg1_, long jarg3, Cursor jarg3_)
static final native boolean | Cursor__java_raw (long jarg1, Cursor jarg1_)
static final native int | Cursor__java_init (long jarg1, Cursor jarg1_, Object jarg2)
static final native int | Cursor_modify_wrap (long jarg1, Cursor jarg1_, long jarg2, WT_MODIFY_LIST jarg2_, byte[] jarg3)
static final native boolean | Cursor__new_check_modify_list (long jarg1, Cursor jarg1_, long jarg2, WT_MODIFY_LIST jarg2_)
static final native boolean | Cursor__new_check_modify (long jarg1, Cursor jarg1_, long jarg2, Modify jarg2_)
static final native long | AsyncOp_connection_get (long jarg1, AsyncOp jarg1_)
static final native String | AsyncOp_key_format_get (long jarg1, AsyncOp jarg1_)
static final native String | AsyncOp_value_format_get (long jarg1, AsyncOp jarg1_)
static final native int | AsyncOp_compact (long jarg1, AsyncOp jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native int | AsyncOp_getType (long jarg1, AsyncOp jarg1_)
static final native byte [] | AsyncOp_get_key_wrap (long jarg1, AsyncOp jarg1_)
static final native byte [] | AsyncOp_get_value_wrap (long jarg1, AsyncOp jarg1_)
static final native int | AsyncOp_insert_wrap (long jarg1, AsyncOp jarg1_, byte[] jarg2, byte[] jarg3)
static final native int | AsyncOp_remove_wrap (long jarg1, AsyncOp jarg1_, byte[] jarg2)
static final native int | AsyncOp_search_wrap (long jarg1, AsyncOp jarg1_, byte[] jarg2)
static final native int | AsyncOp_update_wrap (long jarg1, AsyncOp jarg1_, byte[] jarg2, byte[] jarg3)
static final native boolean | AsyncOp__java_raw (long jarg1, AsyncOp jarg1_)
static final native int | AsyncOp__java_init (long jarg1, AsyncOp jarg1_, Object jarg2)
static final native int | AsyncOp_getId (long jarg1, AsyncOp jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native long | Session_connection_get (long jarg1, Session jarg1_)
static final native int | Session_close (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_reconfigure (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native String | Session_strerror (long jarg1, Session jarg1_, int jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_alter (long jarg1, Session jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_create (long jarg1, Session jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_compact (long jarg1, Session jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_drop (long jarg1, Session jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_join (long jarg1, Session jarg1_, long jarg3, Cursor jarg3_, long jarg4, Cursor jarg4_, String jarg5) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_log_flush (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_log_printf (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_rebalance (long jarg1, Session jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_rename (long jarg1, Session jarg1_, String jarg3, String jarg4, String jarg5) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_reset (long jarg1, Session jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_salvage (long jarg1, Session jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_truncate (long jarg1, Session jarg1_, String jarg3, long jarg4, Cursor jarg4_, long jarg5, Cursor jarg5_, String jarg6) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_upgrade (long jarg1, Session jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_verify (long jarg1, Session jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_begin_transaction (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_commit_transaction (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_prepare_transaction (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_rollback_transaction (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_timestamp_transaction (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_checkpoint (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_snapshot (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_transaction_sync (long jarg1, Session jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_breakpoint (long jarg1, Session jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native int | Session__java_init (long jarg1, Session jarg1_, Object jarg2)
static final native long | Session_open_cursor (long jarg1, Session jarg1_, String jarg3, long jarg4, Cursor jarg4_, String jarg5) throws com.wiredtiger.db.WiredTigerException
static final native int | Session_transaction_pinned_range (long jarg1, Session jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native int | Connection_async_flush (long jarg1, Connection jarg1_) throws com.wiredtiger.db.WiredTigerException
static final native int | Connection_close (long jarg1, Connection jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Connection_debug_info (long jarg1, Connection jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Connection_reconfigure (long jarg1, Connection jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native String | Connection_get_home (long jarg1, Connection jarg1_)
static final native int | Connection_configure_method (long jarg1, Connection jarg1_, String jarg3, String jarg4, String jarg5, String jarg6, String jarg7) throws com.wiredtiger.db.WiredTigerException
static final native int | Connection_is_new (long jarg1, Connection jarg1_)
static final native int | Connection_query_timestamp (long jarg1, Connection jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Connection_set_timestamp (long jarg1, Connection jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Connection_rollback_to_stable (long jarg1, Connection jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native int | Connection_load_extension (long jarg1, Connection jarg1_, String jarg3, String jarg4) throws com.wiredtiger.db.WiredTigerException
static final native int | Connection__java_init (long jarg1, Connection jarg1_, Object jarg2)
static final native long | Connection_async_new_op (long jarg1, Connection jarg1_, String jarg3, String jarg4, Object jarg5) throws com.wiredtiger.db.WiredTigerException
static final native long | Connection_open_session (long jarg1, Connection jarg1_, String jarg3) throws com.wiredtiger.db.WiredTigerException
static final native String | wiredtiger_strerror (int jarg1)
static final native long | open (String jarg2, String jarg3) throws com.wiredtiger.db.WiredTigerException